Docs home

Get Student Class Updates

Returns the recent class updates (notifications sent to classes) that one learner has received. Use it to see, on a learner's behalf, what their tutors posted to their classes in the last week.

GET/admin/student/pushnotifications/{studentId}
Get Student Class Updates
curl --request GET \
  --url 'https://<your-api-host>/nuSource/api/v1/admin/student/pushnotifications/{studentId}' \
  --header 'APIKEY: <your-api-key>' \
  --header 'ORGID: <your-org-id>'
{
  "code": 200,
  "message": "Success",
  "notifications": [
    {
      "notification_time": 1703675804,
      "notification_data": {
        "message": "Dear USER, class for Zoom on 27 Dec 2023 at 10:00 AM - 10:00 AM has been rescheduled to 27 Dec 2023 at 10:00 AM - 22:00 PM\n[Edmingle]",
        "title": "New class Rescheduled"
      },
      "notification_type": 2,
      "sender_id": 53044146,
      "sender_name": "Edmingle Academy",
      "notification_id": 371121,
      "sender_role": 2,
      "sign_type": 0,
      "status": 0,
      "notes": ""
    },
    {
      "notification_time": 1702388749,
      "notification_data": {
        "message": "This is a reminder for class test course on 12 Dec 2023 at 11:00 AM - 11:00 AM.\n[Edmingle]",
        "title": "Upcoming new class Reminder!"
      },
      "notification_type": 2,
      "sender_id": 53044146,
      "sender_name": "Edmingle Academy",
      "notification_id": 359445,
      "sender_role": 2,
      "sign_type": 0,
      "status": 0,
      "notes": ""
    },
    {
      "notification_time": 1702388166,
      "notification_data": {
        "message": "Dear USER, class for test demo on 12 Dec 2023 at 12:00 PM - 12:00 PM has been rescheduled to 12 Dec 2023 at 12:00 PM - 24:00 PM\n[Edmingle]",
        "title": "New class Rescheduled"
      },
      "notification_type": 2,
      "sender_id": 53044146,
      "sender_name": "Edmingle Academy",
      "notification_id": 359444,
      "sender_role": 2,
      "sign_type": 0,
      "status": 0,
      "notes": ""
    },
    {
      "notification_time": 1702290147,
      "notification_data": {
        "message": "Dear USER, class for test demo on 11 Dec 2023 at 12:00 PM - 12:00 PM has been rescheduled to 11 Dec 2023 at 12:00 PM - 24:00 PM\n[Edmingle]",
        "title": "New class Rescheduled"
      },
      "notification_type": 2,
      "sender_id": 53044146,
      "sender_name": "Edmingle Academy",
      "notification_id": 359081,
      "sender_role": 2,
      "sign_type": 0,
      "status": 0,
      "notes": ""
    },
    {
      "notification_time": 1702286710,
      "notification_data": {
        "message": "Dear USER, class for Zoom on 11 Dec 2023 at 10:00 AM - 10:00 AM has been rescheduled to 11 Dec 2023 at 10:00 AM - 22:00 PM\n[Edmingle]",
        "title": "New class Rescheduled"
      },
      "notification_type": 2,
      "sender_id": 53044146,
      "sender_name": "Edmingle Academy",
      "notification_id": 359067,
      "sender_role": 2,
      "sign_type": 0,
      "status": 0,
      "notes": ""
    },
    {
      "notification_time": 1702286588,
      "notification_data": {
        "message": "This is a reminder for class Zoom on 11 Dec 2023 at 10:00 AM - 10:00 AM.\n[Edmingle]",
        "title": "Upcoming new class Reminder!"
      },
      "notification_type": 2,
      "sender_id": 53044146,
      "sender_name": "Edmingle Academy",
      "notification_id": 359066,
      "sender_role": 2,
      "sign_type": 0,
      "status": 0,
      "notes": ""
    },
    {
      "notification_time": 1702279998,
      "notification_data": {
        "message": "Dear USER, class for test course on 11 Dec 2023 at 11:00 AM - 11:00 AM has been rescheduled to 11 Dec 2023 at 11:00 AM - 23:00 PM\n[Edmingle]",
        "title": "New class Rescheduled"
      },
      "notification_type": 2,
      "sender_id": 53044146,
      "sender_name": "Edmingle Academy",
      "notification_id": 359035,
      "sender_role": 2,
      "sign_type": 0,
      "status": 0,
      "notes": ""
    },
    {
      "notification_time": 1702279943,
      "notification_data": {
        "message": "This is a reminder for class Zoom on 11 Dec 2023 at 10:00 AM - 10:00 AM.\n[Edmingle]",
        "title": "Upcoming new class Reminder!"
      },
      "notification_type": 2,
      "sender_id": 53044146,
      "sender_name": "Edmingle Academy",
      "notification_id": 359034,
      "sender_role": 2,
      "sign_type": 0,
      "status": 0,
      "notes": ""
    },
    {
      "notification_time": 1701694469,
      "notification_data": {
        "message": "Dear USER, class for Zoom on 04 Dec 2023 at 10:00 AM - 10:00 AM has been rescheduled to 04 Dec 2023 at 10:00 AM - 22:00 PM\n[Edmingle]",
        "title": "New class Rescheduled"
      },
      "notification_type": 2,
      "sender_id": 53044146,
      "sender_name": "Edmingle Academy",
      "notification_id": 353283,
      "sender_role": 2,
      "sign_type": 0,
      "status": 0,
      "notes": ""
    },
    {
      "notification_time": 1698758933,
      "notification_data": {
        "message": "Dear USER, class for Zoom on 31 Oct 2023 at 10:00 AM - 10:00 AM has been rescheduled to 31 Oct 2023 at 10:00 AM - 22:00 PM\n[Edmingle]",
        "title": "New class Rescheduled"
      },
      "notification_type": 2,
      "sender_id": 53044146,
      "sender_name": "Edmingle Academy",
      "notification_id": 328851,
      "sender_role": 2,
      "sign_type": 0,
      "status": 0,
      "notes": ""
    },
    {
      "notification_time": 1697451277,
      "notification_data": {
        "message": "Dear USER, class for Zoom on 16 Oct 2023 at 10:00 AM - 10:00 AM has been rescheduled to 16 Oct 2023 at 10:00 AM - 22:00 PM\n[Edmingle]",
        "title": "New class Rescheduled"
      },
      "notification_type": 2,
      "sender_id": 53044146,
      "sender_name": "Edmingle Academy",
      "notification_id": 317753,
      "sender_role": 2,
      "sign_type": 0,
      "status": 0,
      "notes": ""
    },
    {
      "notification_time": 1689747855,
      "notification_data": {
        "message": "Dear USER, class for Zoom on 19 Jul 2023 at 10:00 AM - 10:00 AM has been rescheduled to 19 Jul 2023 at 10:00 AM - 22:00 PM\n[Edmingle]",
        "title": "Class Rescheduled!"
      },
      "notification_type": 2,
      "sender_id": 53044146,
      "sender_name": "Edmingle Academy",
      "notification_id": 255921,
      "sender_role": 2,
      "sign_type": 0,
      "status": 0,
      "notes": ""
    },
    {
      "notification_time": 1687089737,
      "notification_data": {
        "message": "Dear USER, class for Zoom on 18 Jun 2023 at 10:00 AM - 10:00 AM has been rescheduled to 18 Jun 2023 at 10:00 AM - 22:00 PM\n[Edmingle]",
        "title": "Class Rescheduled!"
      },
      "notification_type": 2,
      "sender_id": 53044146,
      "sender_name": "Edmingle Academy",
      "notification_id": 248590,
      "sender_role": 2,
      "sign_type": 0,
      "status": 0,
      "notes": ""
    },
    {
      "notification_time": 1686744755,
      "notification_data": {
        "message": "",
        "title": "Institute Holiday"
      },
      "notification_type": 2,
      "sender_id": 53044146,
      "sender_name": "Edmingle Academy",
      "notification_id": 247801,
      "sender_role": 2,
      "sign_type": 0,
      "status": 0,
      "notes": ""
    },
    {
      "notification_time": 1686744755,
      "notification_data": {
        "message": "",
        "title": "Institute Holiday"
      },
      "notification_type": 2,
      "sender_id": 53044146,
      "sender_name": "Edmingle Academy",
      "notification_id": 247800,
      "sender_role": 2,
      "sign_type": 0,
      "status": 0,
      "notes": ""
    },
    {
      "notification_time": 1686744755,
      "notification_data": {
        "message": "",
        "title": "Institute Holiday"
      },
      "notification_type": 2,
      "sender_id": 53044146,
      "sender_name": "Edmingle Academy",
      "notification_id": 247799,
      "sender_role": 2,
      "sign_type": 0,
      "status": 0,
      "notes": ""
    },
    {
      "notification_time": 1686741513,
      "notification_data": {
        "message": "Dear USER, class for test course on 13 Jun 2023 at 11:00 AM - 11:00 AM has been rescheduled to 14 Jun 2023 at 11:00 AM - 23:00 PM\n[Edmingle]",
        "title": "Class Rescheduled!"
      },
      "notification_type": 2,
      "sender_id": 53044146,
      "sender_name": "Edmingle Academy",
      "notification_id": 247783,
      "sender_role": 2,
      "sign_type": 0,
      "status": 0,
      "notes": ""
    },
    {
      "notification_time": 1686739245,
      "notification_data": {
        "message": "Dear USER, class for test course on 14 Jun 2023 at 11:00 AM - 11:00 AM has been rescheduled to 14 Jun 2023 at 11:00 AM - 23:00 PM\n[Edmingle]",
        "title": "Class Rescheduled!"
      },
      "notification_type": 2,
      "sender_id": 53044146,
      "sender_name": "Edmingle Academy",
      "notification_id": 247771,
      "sender_role": 2,
      "sign_type": 0,
      "status": 0,
      "notes": ""
    },
    {
      "notification_time": 1686739234,
      "notification_data": {
        "message": "Dear USER, class for Zoom on 14 Jun 2023 at 10:00 AM - 10:00 AM has been rescheduled to 14 Jun 2023 at 10:00 AM - 22:00 PM\n[Edmingle]",
        "title": "Class Rescheduled!"
      },
      "notification_type": 2,
      "sender_id": 53044146,
      "sender_name": "Edmingle Academy",
      "notification_id": 247770,
      "sender_role": 2,
      "sign_type": 0,
      "status": 0,
      "notes": ""
    },
    {
      "notification_time": 1686649934,
      "notification_data": {
        "message": "Dear USER, class for Zoom on 13 Jun 2023 at 10:00 AM - 10:00 AM has been rescheduled to 13 Jun 2023 at 10:00 AM - 22:00 PM\n[Edmingle]",
        "title": "Class Rescheduled!"
      },
      "notification_type": 2,
      "sender_id": 53044146,
      "sender_name": "Edmingle Academy",
      "notification_id": 247540,
      "sender_role": 2,
      "sign_type": 0,
      "status": 0,
      "notes": ""
    },
    {
      "notification_time": 1686043388,
      "notification_data": {
        "message": "Dear USER, class for test course on 06 Jun 2023 at 11:00 AM - 11:00 AM has been rescheduled to 06 Jun 2023 at 11:00 AM - 23:00 PM\n[Edmingle]",
        "title": "Class Rescheduled!"
      },
      "notification_type": 2,
      "sender_id": 53044146,
      "sender_name": "Edmingle Academy",
      "notification_id": 246248,
      "sender_role": 2,
      "sign_type": 0,
      "status": 0,
      "notes": ""
    },
    {
      "notification_time": 1685958331,
      "notification_data": {
        "message": "Dear USER, class for test course on 05 Jun 2023 at 11:00 AM - 11:00 AM has been rescheduled to 05 Jun 2023 at 11:00 AM - 23:00 PM\n[Edmingle]",
        "title": "Class Rescheduled!"
      },
      "notification_type": 2,
      "sender_id": 53044146,
      "sender_name": "Edmingle Academy",
      "notification_id": 245933,
      "sender_role": 2,
      "sign_type": 0,
      "status": 0,
      "notes": ""
    },
    {
      "notification_time": 1685093239,
      "notification_data": {
        "message": "Dear USER, class for Zoom on 26 May 2023 at 10:00 AM - 10:00 AM has been rescheduled to 26 May 2023 at 10:00 AM - 22:00 PM\n[Edmingle]",
        "title": "Class Rescheduled!"
      },
      "notification_type": 2,
      "sender_id": 53044146,
      "sender_name": "Edmingle Academy",
      "notification_id": 244138,
      "sender_role": 2,
      "sign_type": 0,
      "status": 0,
      "notes": ""
    },
    {
      "notification_time": 1669875595,
      "notification_data": {
        "message": "Dear USER, class for test course on 30 Nov 2022 at 11:00 AM - 11:00 AM has been rescheduled to 30 Nov 2022 at 11:00 AM - 23:00 PM\n[Edmingle]",
        "title": "Class Rescheduled!"
      },
      "notification_type": 2,
      "sender_id": 53044146,
      "sender_name": "Edmingle Academy",
      "notification_id": 210995,
      "sender_role": 2,
      "sign_type": 0,
      "status": 0,
      "notes": ""
    },
    {
      "notification_time": 1669875395,
      "notification_data": {
        "message": "Dear USER, class for Zoom on 30 Nov 2022 at 10:00 AM - 10:00 AM has been rescheduled to 30 Nov 2022 at 10:00 AM - 22:00 PM\n[Edmingle]",
        "title": "Class Rescheduled!"
      },
      "notification_type": 2,
      "sender_id": 53044146,
      "sender_name": "Edmingle Academy",
      "notification_id": 210994,
      "sender_role": 2,
      "sign_type": 0,
      "status": 0,
      "notes": ""
    },
    {
      "notification_time": 1669871565,
      "notification_data": {
        "message": "Your class “Unreal Engine 5: The Complete Beginner's Course“ has been rescheduled from 10:00 AM on 1-Dec, 22 to 10:00 AM on 2-Dec, 22",
        "title": "Class Rescheduled!"
      },
      "notification_type": 2,
      "sender_id": 53044146,
      "sender_name": "Edmingle Academy",
      "notification_id": 210976,
      "sender_role": 2,
      "sign_type": 0,
      "status": 0,
      "notes": ""
    },
    {
      "notification_time": 1669720707,
      "notification_data": {
        "message": "Dear USER, class for test demo on 29 Nov 2022 at 12:00 PM - 12:00 PM has been rescheduled to 29 Nov 2022 at 12:00 PM - 24:00 PM\n[Edmingle]",
        "title": "Class Rescheduled!"
      },
      "notification_type": 2,
      "sender_id": 53044146,
      "sender_name": "Edmingle Academy",
      "notification_id": 210706,
      "sender_role": 2,
      "sign_type": 0,
      "status": 0,
      "notes": ""
    },
    {
      "notification_time": 1669720660,
      "notification_data": {
        "message": "Dear USER, class for test course on 29 Nov 2022 at 11:00 AM - 11:00 AM has been rescheduled to 29 Nov 2022 at 11:00 AM - 23:00 PM\n[Edmingle]",
        "title": "Class Rescheduled!"
      },
      "notification_type": 2,
      "sender_id": 53044146,
      "sender_name": "Edmingle Academy",
      "notification_id": 210705,
      "sender_role": 2,
      "sign_type": 0,
      "status": 0,
      "notes": ""
    },
    {
      "notification_time": 1669188067,
      "notification_data": {
        "message": "Your class “test course“ has been rescheduled from 11:00 AM on 23-Nov, 22 to 11:00 AM on 23-Nov, 22",
        "title": "Class Rescheduled!"
      },
      "notification_type": 2,
      "sender_id": 53044146,
      "sender_name": "Edmingle Academy",
      "notification_id": 209628,
      "sender_role": 2,
      "sign_type": 0,
      "status": 0,
      "notes": ""
    },
    {
      "notification_time": 1669185904,
      "notification_data": {
        "message": "Your class “Zoom“ has been rescheduled from 10:00 AM on 23-Nov, 22 to 10:00 AM on 23-Nov, 22",
        "title": "Class Rescheduled!"
      },
      "notification_type": 2,
      "sender_id": 53044146,
      "sender_name": "Edmingle Academy",
      "notification_id": 209624,
      "sender_role": 2,
      "sign_type": 0,
      "status": 0,
      "notes": ""
    },
    {
      "notification_time": 1669185381,
      "notification_data": {
        "message": "Your extra class for “Zoom“ has been scheduled at 10:15 AM on 23-Nov, 22",
        "title": "New Class Scheduled!"
      },
      "notification_type": 2,
      "sender_id": 53044146,
      "sender_name": "Edmingle Academy",
      "notification_id": 209623,
      "sender_role": 2,
      "sign_type": 0,
      "status": 0,
      "notes": ""
    }
  ]
}

Access: Institute admins and admins. The learner must belong to your ORGID organization.

Path parameters
student_idintegerrequired
ID of the learner, e.g. admin/student/pushnotifications/43974.
Response200application/json
codeinteger
Example: 200
messagestring
Example: Success
Show child attributesHide child attributes
Unix timestamp
Example: 1703675804
The update content
Show child attributesHide child attributes
Example: New class Rescheduled
Example: 53044146
Example: Edmingle Academy
Example: 371121
0 tutor, 2 admin
Example: 2
Example: 0
Always 0
Example: 0
Always empty

Notes: Returns "student not found in organization" if the learner is not in your ORGID organization. Not paginated. Rate limit: 30 requests per minute; going over locks you out for 30 minutes.

Updated yesterday

Ask AI